﻿/*
 * Plik jest częścią kursu Unity3d QuickTip#16 - Responsywne menu teksturowe
 * Autor: Marek Winiarski - http://mwin.pl
 * Plik pobrany z: http://mwin.pl
*/

using UnityEngine;
using System.Collections;

[RequireComponent(typeof(AudioSource))]
public class btnScript : MonoBehaviour {

	public Texture2D btnOff;
	public Texture2D btnOn;
	public AudioClip beep;
	public string levelToLoad;

	private int defaultScreenW = 1680;
	private int defaultScreenH = 1050;

	void Start()
	{
		guiTexture.pixelInset = new Rect(
				guiTexture.pixelInset.x,
				guiTexture.pixelInset.y,
				(Screen.width * guiTexture.pixelInset.width) / defaultScreenW,
				(Screen.height * guiTexture.pixelInset.height) / defaultScreenH
			);
	}

	void OnMouseEnter()
	{
		guiTexture.texture = btnOn;
	}

	void OnMouseExit()
	{
		guiTexture.texture = btnOff;
	}

	IEnumerator OnMouseUp()
	{
		audio.PlayOneShot(beep);
		yield return new WaitForSeconds(0.4f);

		if(levelToLoad == "Quit") {
			//Application.Quit();
			Debug.Log("Exit!");
		} else {
			//Application.LoadLevel(levelToLoad);
			Debug.Log("Load Level: " + levelToLoad);
		}
	}
}
